### Virtual Method

# Gio AsyncResult get_user_data

#### Declaration [src]

    gpointer
    get_user_data (
      GAsyncResult* res
    )

#### Description [src]

Gets the user data from a `GAsyncResult`.

#### Return value

Type: `gpointer`

The user data for `res`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.